package com.bsf.lovDemo.components;

import org.bsf.listOfValues.lovValue.LovValue;

import javax.swing.JList;
import javax.swing.plaf.basic.BasicComboBoxRenderer;
import java.awt.Component;

/**
 * Basic LovBoxRenderer... Should render the type as well in a real application.
 */
public class LovBoxRenderer extends BasicComboBoxRenderer {
    private static final String EMPTY_STRING = "";

    private String _field;

    public LovBoxRenderer( String p_fieldToUse ) {
        super();

        if ( p_fieldToUse == null ) {
            throw new IllegalArgumentException( "A field name can't be null in a LovValue..." );
        }

        _field = p_fieldToUse;
    }

    public void setField( String p_field ) {
        _field = p_field;
    }

    public String getToolTipText() {
        return super.getToolTipText();
    }

    public Component getListCellRendererComponent( JList p_list, Object p_value, int p_index, boolean p_isSelected, boolean p_cellHasFocus ) {
        super.getListCellRendererComponent( p_list, p_value, p_index, p_isSelected, p_cellHasFocus );

        if ( p_value instanceof LovValue ) {
            Object fieldValue = ( (LovValue) p_value ).getFieldValue( _field );

            // Basic rendering... A complete renderer shall format using the type
            setText( ( fieldValue == null ? EMPTY_STRING : fieldValue.toString() ) );
        }

        return this;
    }
}