package com.bsf.lovDemo.models;

/**
 * Contains all the LOVs and their fields available for this demo application.
 * To work the same values should be set in the BSF_LOV and BSF_LOV_DEFINITION
 * tables.
 */
public class AvailableLovs {
    public static final Long LOV_COUNTRIES = new Long( 1 );
    public static final String LOV_COUNTRIES_SHORT_NAME = "SHORT_NAME";
    public static final String LOV_COUNTRIES_LONG_NAME = "LONG_NAME";

    public static final Long LOV_AMERICAN_COUNTRIES_WITH_REGION_NAME = new Long( 2 );
    public static final String LOV_AMERICAN_COUNTRIES_WITH_REGION_NAME_SHORT_NAME = "SHORT_NAME";
    public static final String LOV_AMERICAN_COUNTRIES_WITH_REGION_NAME_LONG_NAME = "LONG_NAME";
    public static final String LOV_AMERICAN_COUNTRIES_WITH_REGION_NAME_REGION_NAME = "REGION_NAME";

    public static final Long LOV_AUTHORS = new Long( 3 );
    public static final String LOV_AUTHORS_FIRSTNAME = "FIRSTNAME";
    public static final String LOV_AUTHORS_LASTNAME = "LASTNAME";

    public static final String HTML_SQL_LOV_COUNTRIES = "<html>SELECT OID, SHORT_NAME, LONG_NAME<br>FROM COUNTRY</html>";
    public static final String HTML_SQL_LOV_COUNTRIES_TOOLTIP = "All the countries in the database...";

    public static final String HTML_SQL_LOV_AMERICAN_COUNTRIES_WITH_REGION_NAME = "<html>SELECT OID, SHORT_NAME, LONG_NAME, <b>REGION.NAME</b><br>FROM COUNTRY, REGION<br>WHERE REGION_OID = REGION.OID <b>AND REGION.NAME LIKE '%America%'</b></html>";
    public static final String HTML_SQL_LOV_AMERICAN_COUNTRIES_WITH_REGION_NAME_TOOLTIP = "All the countries in the database whose region name contains 'America'... Region name returned as well...";
}
